## org.apache.lucene.search.postingshighlight
Class PassageFormatter

    java.lang.Object
      org.apache.lucene.search.postingshighlight.PassageFormatter

Direct Known Subclasses:
  DefaultPassageFormatter

    public abstract class PassageFormatter

extends Object

Creates a formatted snippet from the top passages.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`PassageFormatter()`

Method Summary
`abstract String` `format(Passage[] passages, String content)` Formats the top `passages` from `content` into a human-readable text snippet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PassageFormatter

    public PassageFormatter()

Method Detail

### format

    public abstract String format(Passage[] passages,
                                  String content)

  Formats the top `passages` from `content` into a human-readable text snippet.

  Parameters:
    `passages` - top-N passages for the field. Note these are sorted in the order that they appear in the document for convenience.
    `content` - content for the field.
  Returns:
    formatted highlight

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.